package com.gh.gamecenter.message.provider

import android.content.Context
import com.therouter.router.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IConfigProvider

@com.therouter.inject.ServiceProvider
class ConfigProviderImpl : IConfigProvider {
    override fun getTencentAppId(): String {
        return ""
    }

    override fun getWechatAppId(): String {
        return ""
    }

    override fun getWechatSecret(): String {
        return ""
    }

    override fun getUploadLimitSize(): Long {
        return 0L
    }

    override fun getSize(): Int {
        return 0
    }

    override fun getRatio(): Int {
        return 0
    }

    override fun getQuality(): Int {
        return 0
    }

    override fun getGif(): String {
        return ""
    }

    override fun getJpeg(): String {
        return ""
    }

    override fun getWebp(): String {
        return ""
    }

    override fun getGitThumb(): String {
        return ""
    }

    override fun getGifWaterMark(): String {
        return ""
    }


    override fun getVideoSnapshotSuffix(): String {
        return ""
    }

    override fun getImageCropSuffix(): String {
        return ""
    }

    override fun getImageInfoSuffix(): String {
        return ""
    }

    override fun getImageResizeSuffix(): String {
        return ""
    }

    override fun getQQ(): String {
        return ""
    }

    override fun getQQun(): String {
        return ""
    }

    override fun getQQunKey(): String {
        return ""
    }

    override fun getQuickLoginAppId(): String {
        return ""
    }

    override fun getQuickLoginAppKey(): String {
        return ""
    }

    override fun getWeiboAppKey(): String {
        return ""
    }

    override fun getNightModeSetting(): Boolean {
        return false
    }
}